Skip to content

API Endpoint Reference (1.0)

Tenovos offers a REST API for partner and customer integrations. This API provides a RESTful endpoint, token-based authorization, HTTP methods for operations, and JSON-formatted payloads. Use this API to incorporate Tenovos functionality into your own application.

This API is up-versioned when a breaking change is introduced such as

  • a change in the format of the response data for one or more calls
  • a change in the request or response type (i.e. changing an integer to a float)
  • removing any part of the API.

This API is not up-versioned for non-breaking changes such as

  • new endpoints
  • new response parameters
  • new optional request parameters
Download OpenAPI description
Languages
Servers
https://enterprise.services.tenovos.io/content-store-v1
https://enterprise-2.services.tenovos.io/content-store-v1
https://enterprise3.services.tenovos.io/content-store-v1
https://enterprise-4.services.tenovos.io/content-store-v1

Action Operations

Invoke the Action API to retrieve information about invoked Actions.

Operations

Asset Operations

Invoke the Asset API to create, retrieve, manipulate, and share Assets. This API also provides operations to manage Asset relationships and download Asset content.

Operations

Retrieve Asset relationships associated with an Asset.

Request

Retrieve all Asset relationships associated with an Asset specified by Object ID. In a relationship, the Asset can be a primary or secondary (related) Asset. For example, in a parent / derivative relationship, the primary Asset would be the parent, while the secondary Asset would be the derivative. Both the Object ID and relationship type for each Asset will be returned. Relationships will be retrieved where the Asset is a primary or secondary Asset.

The user requesting the Asset relationships must have View access to both the primary Asset and the secondary Assets in order to retrieve the relationships.

Security
ApiKeyAuth or BasicAuth
Path
idstringrequired

Asset object ID

Headers
X-API-Keystringrequired

Customer-specific API key required to invoke API.

Authorizationstringrequired

Provided by Authentication Token creation operation

AccessTokenstringrequired

JWT token provided by Authentication Token creation operation.

curl -i -X GET \
  'https://enterprise.services.tenovos.io/content-store-v1/asset/{id}/link' \
  -H 'AccessToken: string' \
  -H 'Authorization: string' \
  -H 'X-API-Key: YOUR_API_KEY_HERE'

Responses

The Response Body is a JSON object.

Bodyapplication/jsonArray [
secondaryIdstring(uuid)

ID of the secondary asset

createdEpochinteger

Created date in epoch format

Example: 1613677209722
customerIdstring
Example: "15716718541456"
linkTypestring

The type of link.

Enum"child""derivative""placed-graphic"
lastUpdatedEpochinteger

Date when last updated. Epoch format.

Example: 1613677209722
primaryIdstring(uuid)

ID of the primary asset.

Example: "f81769d1-8e93-4af7-856e-56ea30ec1038"
relationshipIdstring

ID the defines relationship between primary and secondary assets.

Example: "f81769d1-8e93-4af7-856e-56ea30ab1038-73b49f17-4c1a-4c05-bb31-5ab2364e2534"
]
Response
application/json
[ { "secondaryId": "6aaf274d-71ca-470e-88a9-138c4dd4c7fb", "createdEpoch": 1613677209722, "customerId": "15716718541456", "linkType": "child", "lastUpdatedEpoch": 1613677209722, "primaryId": "f81769d1-8e93-4af7-856e-56ea30ec1038", "relationshipId": "f81769d1-8e93-4af7-856e-56ea30ab1038-73b49f17-4c1a-4c05-bb31-5ab2364e2534" } ]

Create a relationship between Assets.

Request

Create a bidirectional relationship between a primary Asset and one or more secondary Assets. Asset relationships allow a user to quickly navigate from one Asset to another related Asset.

The user attempting to create a relationship using Asset must be granted the Relationship Security Template permission on the Asset.

Security
ApiKeyAuth or BasicAuth
Path
idstringrequired

Asset object ID

Headers
X-API-Keystringrequired

Customer-specific API key required to invoke API.

Authorizationstringrequired

Provided by Authentication Token creation operation

AccessTokenstringrequired

JWT token provided by Authentication Token creation operation.

Content-Typestringrequired
Value"application/json"
Bodyapplication/jsonrequired

The Request Body is a JSON object that provides information about relationships to create.

secondaryIdsArray of objects(RelationshipCreateRequest_secondaryIds)
curl -i -X POST \
  'https://enterprise.services.tenovos.io/content-store-v1/asset/{id}/link' \
  -H 'AccessToken: string' \
  -H 'Authorization: string' \
  -H 'Content-Type: application/json' \
  -H 'X-API-Key: YOUR_API_KEY_HERE' \
  -d '{
    "secondaryIds": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "linkType": "child"
      }
    ]
  }'

Responses

The response is an array that contains a status(success/failed) for each relationship.

Bodyapplication/jsonArray [Array [
Any of:
statusstring
Example: "success"
messagestring
Example: "Relationship created successfully"
relationshipIdstring
Example: "f81769d1-8e93-4af7-856e-56ea30ec1038-73b49f17-4c1a-4c05-bb31-5ab2364e25fe"
]]
Response
application/json
[ [ { … } ] ]

Remove a relationship between Assets.

Request

Remove a relationship between a primary Asset and one or more secondary Assets. Specify the primary Asset Object ID as a path parameter. Specify the secondary Asset Object IDs and Link Types as an array in the request body.

The user requesting the Asset relationships must have view access to both the primary Asset and the related Assets in order to relationships and the related Assets.

Security
ApiKeyAuth or BasicAuth
Path
idstringrequired

Asset object ID

Headers
X-API-Keystringrequired

Customer-specific API key required to invoke API.

Authorizationstringrequired

Provided by Authentication Token creation operation

AccessTokenstringrequired

JWT token provided by Authentication Token creation operation.

Bodyapplication/jsonrequired

The Request Body is a JSON object.

secondaryIdsArray of objects(RelationshipDeleteRequest_secondaryIds)
curl -i -X PATCH \
  'https://enterprise.services.tenovos.io/content-store-v1/asset/{id}/link' \
  -H 'AccessToken: string' \
  -H 'Authorization: string' \
  -H 'Content-Type: application/json' \
  -H 'X-API-Key: YOUR_API_KEY_HERE' \
  -d '{
    "secondaryIds": [
      {
        "id": "f81769d1-8e93-4af7-856e-56ea30ec1038",
        "linkType": "child"
      }
    ]
  }'

Responses

Successful operation with relationshipId

Bodyapplication/jsonArray [
Any of:
statusstring
Example: "success"
messagestring
Example: "Relationship deleted successfully"
relationshipIdstring
Example: "f81769d1-8e93-4af7-856e-56ea30ec1038-c91f8b40-a7ba-476c-b52f-341952f6c250"
]
Response
application/json
[ { "status": "success", "message": "Relationship deleted successfully", "relationshipId": "f81769d1-8e93-4af7-856e-56ea30ec1038-c91f8b40-a7ba-476c-b52f-341952f6c250" } ]

Authentication Operations

Invoke the Authentication API to generate, refresh, and revoke access tokens. An access token is required to perform any authorized API operation.

Operations

Collection Operations

Invoke the Collection API to create, retrieve, edit, and delete Collections. Collections are used to group and catalog related Assets for quick access and consumption. Collections can be configured as:

  • private: Visible only to the user who created the Collection.
  • secured: Visible to shared users with permission.

When retrieving the Assets within a Collection, the requesting user will only see the Assets that the user has access to view. For example, a librarian may see all Assets within a Collection, but a general consumer user may only see a portion of those Assets, due to limited security access.

Operations

Customer Operations

Invoke the Customer API to retrieve Customer account profile information.

Operations

Metadata Operations

Invoke the Metadata API to retrieve Metadata Template to be applied to Assets during Asset creation. A Metadata Template defines a set of Metadata Attributes of varying types, including Text, Date, Controlled Vocabulary, Tabular, and Cascading Attributes. When a Metadata Template is assigned to a new Asset, the corresponding Metadata Attributes will be available for population on the Asset.

Operations

Search Operations

Search for Collections by Collection name.

Perform Asset searches using keywords or Attribute-specific search terms using the Keyword Search endpoint.

Perform a scan on all assets based on search criteria using a cursor to page through the entire result set of assets.

Operations

Security Operations

Invoke the Metadata API to retrieve Security Template information to be applied to Assets during Asset creation or edit.

Operations

User Operations

Invoke the User API to retrieve User profile information.

Operations

Proof Operations

Operations

Cart Operations

Operations